Subject: few questions from a git newbie

From: Levente Kovacs <[email-masked]>
Date: Thu, 25 Feb 2010 20:26:34 +0100

Hi,

I am a git newbie, so forgive my ignorance.

I've set up a working system with gitosis.

http://logonex.eu/git/

Currently I can add a repository by doing the following
stuff:

edit gitosis.conf

ssh git@server
mkdir REPO.git
cd REPO.git
git --bare init
exit

git clone git@server:REPO.git
cd REPO
git remote add REPO git@server:REPO.git
touch .gitignore
git add .gitignore
git commit -a
git push origin master

Is this flow is the "right way"? How can I add a repository without ssh'ing to
the server?

Next question is about SVN.

I was using SVN, and now I am migrating from SVN to git. I could import
everything to a new repository. However, I want to reorganize my stuff, and
break it to several repositories. Can I move directories to other
repositories? Or can I partially import a directory from SVN to another
directory in a git repository?

How can I make gitosis to hide certain repositories?

Thank you very much for your answers.

Levente

-- 
Levente Kovacs
http://logonex.eu